import {format} from 'd3'

const sum = (acc, curr) => acc + curr;

export const message = (data) => {
  const latestDateColumn =
    data.columns[data.columns.length - 1];
  
  const deathTotoal = data
    .map((d) => +d[latestDateColumn])
    .reduce(sum, 0);

  const commaFormatter = format(',')
  return commaFormatter(deathTotoal) + ' deaths' + '\nas of '+ latestDateColumn;
};
